Spaces method and path for this operation:
post /s/{space_id}/api/fleet/agents/{agentId}/upgrade
Refer to Spaces for more information.
Upgrade a specific agent to a newer version.
[Required authorization] Route required privileges: fleet-agents-all.
POST
/api/fleet/agents/{agentId}/upgrade
curl \
--request POST 'https://<KIBANA_URL>/api/fleet/agents/{agentId}/upgrade' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--header "kbn-xsrf: true" \
--data '{"version":"8.17.0"}'
Request example
Upgrade an agent to a specific version
{
"version": "8.17.0"
}
Response examples (200)
Agent upgrade initiated
{
"description": "Agent upgrade initiated",
"value": {}
}
Response examples (400)
Example of a generic error response
{
"error": "Bad Request",
"message": "An error message describing what went wrong",
"statusCode": 400
}